package com.foc.hrm.entity;
import java.sql.Timestamp;

public class UserEntity {

    private String id;  //编号

    private String companyId;  //归属公司

    private String officeId;  //归属部门

    private String loginName;  //登录名

    private String password;  //密码

    private String no;  //工号

    private String name;  //姓名

    private String email;  //邮箱

    private String phone;  //电话
    private String phoneNumber;  //电话

    private String mobile;  //手机

    private String userType;  //用户类型

    private String photo;  //用户头像

    private String loginIp;  //最后登陆IP

    private Timestamp loginDate;  //最后登陆时间

    private String loginFlag;  //是否可登录

    private String createBy;  //创建者

    private Timestamp createDate;  //创建时间

    private String updateBy;  //更新者

    private Timestamp updateDate;  //更新时间

    private String remarks;  //备注信息
    
    private int huaweiUnicall=0;// 绑定UC状态 0 未绑定 1 已绑定（不同HRM座机号）

    private String delFlag;  //删除标记
    private String premobileConfirmed;  // 是否已经确定 手机加拨0已经确定 UNCONFIRMED 未确定 CONFIRMED 已经确定 已经确定的就不能再修改
    private String premobile; 
    private String mobileNubmer; 
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getLoginIp() {
        return loginIp;
    }

    public void setLoginIp(String loginIp) {
        this.loginIp = loginIp;
    }

    public Timestamp getLoginDate() {
        return loginDate;
    }

    public void setLoginDate(Timestamp loginDate) {
        this.loginDate = loginDate;
    }

    public String getLoginFlag() {
        return loginFlag;
    }

    public void setLoginFlag(String loginFlag) {
        this.loginFlag = loginFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Timestamp getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Timestamp updateDate) {
        this.updateDate = updateDate;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getPremobileConfirmed() {
        return premobileConfirmed;
    }

    public void setPremobileConfirmed(String premobileConfirmed) {
        this.premobileConfirmed = premobileConfirmed;
    }

    public String getPremobile() {
        return premobile;
    }

    public void setPremobile(String premobile) {
        this.premobile = premobile;
    }

    public String getMobileNubmer() {
        return mobileNubmer;
    }

    public void setMobileNubmer(String mobileNubmer) {
        this.mobileNubmer = mobileNubmer;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public int getHuaweiUnicall() {
        return huaweiUnicall;
    }

    public void setHuaweiUnicall(int huaweiUnicall) {
        this.huaweiUnicall = huaweiUnicall;
    }

}